Returns the emails of one thread with their bodies, recipients and attachments.
Query parameters
-
Default value is
1. -
Default value is
10. -
If skip/limit not provided, page/perPage will take precedence
-
If skip/limit not provided, page/perPage will take precedence
-
Values are
ascordesc. Default value isasc. -
Filter by participant domain(s) (part after @), any-of. Case-insensitive.
-
Exclude emails whose domain(s) match any of these (any-of). Case-insensitive. Must not overlap
domains. -
Exclude emails whose from/to/cc/bcc address matches any of these (any-of).
-
When truthy (1/true), return only emails with no tags attached. Takes precedence over the
tagsfilter. -
Value is
date. Default value isdate.
GET
/local-emails/{caseId}/threads/{threadId}/emails
curl \
--request GET 'http://api.example.com/local-emails/{caseId}/threads/{threadId}/emails' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
"data": {
"total": 42,
"page": 1,
"perPage": 20,
"skip": 0,
"limit": 20,
"totalPages": 3,
"nextPage": 2,
"previousPage": 42.0,
"data": [
{
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"emailDataProvider": {},
"sourceEmail": "jane.doe@example.com",
"body": "<p>Please find the signed agreement attached.</p>",
"date": "2026-01-15T14:30:00.000Z",
"attachments": [
{
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"name": "photo.heic",
"providerId": "uploads/507f1f77bcf86cd799439011/photo.heic",
"convertedName": "photo.jpg",
"convertedProviderId": "uploads/507f1f77bcf86cd799439011/photo.jpg",
"provider": "s3",
"size": 204800,
"transferState": 42.0
}
],
"bcc": [
{}
],
"cc": [
{
"name": "Sam Lee",
"email": "sam.lee@example.com"
}
],
"from": [
{
"name": "John Roe",
"email": "john.roe@example.org"
}
],
"replyTo": [
{}
],
"to": [
{
"name": "Jane Doe",
"email": "jane.doe@example.com"
}
],
"folders": [
"INBOX"
],
"grantId": "5f0c8b3e-2a41-4d7c-9a51-1c2b3d4e5f60",
"externalId": "18d1f2a3b4c5d6e7",
"object": "message",
"snippet": "Please find the signed agreement attached.",
"starred": false,
"unread": false,
"subject": "Signed agreement",
"threadId": "18d1f2a3b4c5d6e0",
"threadIndex": 0,
"tags": [
{
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"name": "Important",
"nameLowercase": "important",
"backgroundColor": "#FDE68A",
"textColor": "#92400E",
"type": "system",
"severity": "info",
"origin": "manual",
"creatorAccessType": "org",
"isActive": true
}
],
"attachedTags": [
{
"tagId": "507f1f77bcf86cd799439011",
"tag": "Important",
"addedBy": "user",
"addedById": "507f1f77bcf86cd799439012",
"removedAt": "2026-05-04T09:42:00Z",
"removedBy": "user",
"removedById": "string"
}
]
}
]
},
"statusCode": 200,
"timestamp": "2026-01-15T10:15:00.000Z"
}